Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atomikos.icatch
Class HeurMixedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.atomikos.icatch.HeurMixedException

All Implemented Interfaces:
  Serializable

    public class HeurMixedException

extends Exception

An exception signaling that some participants have committed whereas others performed a rollback.

See Also:
  Serialized Form

Field Summary
`protected HeuristicMessage[]` | `aborts_`
`protected HeuristicMessage[]` | `commits_`
`protected HeuristicMessage[]` | `msgs_`

Constructor Summary
`HeurMixedException(HeuristicMessage[] msgs)`
`HeurMixedException(HeuristicMessage[] aborts, HeuristicMessage[] commits)`

Method Summary
`HeuristicMessage[]` | `getHeuristicCommitMessages()`
`HeuristicMessage[]` | `getHeuristicMessages()` Gets all heuristic messages.
`HeuristicMessage[]` | `getHeuristicRollbackMessages()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### aborts_

    protected HeuristicMessage[] aborts_

### commits_

    protected HeuristicMessage[] commits_

### msgs_

    protected HeuristicMessage[] msgs_

Constructor Detail

### HeurMixedException

    public HeurMixedException(HeuristicMessage[] msgs)

### HeurMixedException

    public HeurMixedException(HeuristicMessage[] aborts,
                              HeuristicMessage[] commits)

Method Detail

### getHeuristicRollbackMessages

    public HeuristicMessage[] getHeuristicRollbackMessages()

  Returns:
    HeuristicMessage[] The list of application-level messages for those participants that did rollback, or null if none.

### getHeuristicCommitMessages

    public HeuristicMessage[] getHeuristicCommitMessages()

  Returns:
    HeuristicMessage[] The list of messages describing the work at those participants that committed, or null if none.

### getHeuristicMessages

    public HeuristicMessage[] getHeuristicMessages()

  Gets all heuristic messages.

  Returns:
    HeuristicMessage[] The list of messages, or null if none.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012. All Rights Reserved.